# Uses of Interface
org.codehaus.plexus.util.xml.pull.XmlPullParser

Packages that use XmlPullParser
Package
Description
org.codehaus.plexus.util.xml
XML utilities.
org.codehaus.plexus.util.xml.pull
XML Pull Parser interface and implementation.

## Uses of XmlPullParser in org.codehaus.plexus.util.xml

Methods in org.codehaus.plexus.util.xml with parameters of type XmlPullParser
Modifier and Type
Method
Description
`static Xpp3Dom`
Xpp3DomBuilder.`build(XmlPullParser parser)`
`static Xpp3Dom`
Xpp3DomBuilder.`build(XmlPullParser parser, boolean trim)`
`static Xpp3Dom`
Xpp3DomBuilder.`build(XmlPullParser parser, boolean trim, Xpp3DomBuilder.InputLocationBuilder locationBuilder)`
`Object`
Xpp3DomBuilder.InputLocationBuilder.`toInputLocation(XmlPullParser parser)`

## Uses of XmlPullParser in org.codehaus.plexus.util.xml.pull

Classes in org.codehaus.plexus.util.xml.pull that implement XmlPullParser
Modifier and Type
Class
Description
`class`
`MXParser`
Absolutely minimal implementation of XMLPULL V1 API.
Constructors in org.codehaus.plexus.util.xml.pull with parameters of type XmlPullParser
Modifier
Constructor
Description
``
`XmlPullParserException(String msg, XmlPullParser parser, Throwable chain)`